#include <stdio.h>
#include <stdlib.h>

int izbroj_kolonu(int** a, int i, int n){
	int j, c = 0, d = 0;
	for(j = 0; j < n; j++){
		if(a[j][i])
			c++;
		else
			d++;
	}
	return c * d;
}

void popuni(int** a, int d, int p, int m, int kol){
	int i;
	for(i = 0; i < m; i++){
		if(d && i >= m - p || !d && i < m - p)
			a[kol][i] = 1;
		else
			a[kol][i] = 0;
	}
}

void main(){
	int n, m, p; //hehe
	int i, j, desno = 0, dosadnost = 0;
	int **x;
	scanf("%i%i", &n, &m);
	x = malloc(n * sizeof *x);
  	for(i = 0; i < n; i++)
    	x[i] = malloc(m * sizeof *x[i]);
	scanf("%i", &p);
	if(p == m){
		p = 0;
		desno = 1;
	}
	else if(p > m - p)
		desno = 1;
	popuni(x, desno, p, m, 0);
	for(i = 1; i < n; i++){
		scanf("%i", &p);
		popuni(x, desno, p, m, i);
	}
	for(j = 0; j < m; j++)
		dosadnost += izbroj_kolonu(x, j, n);
	printf("%i", dosadnost);
}